package org.apache.lucene.timeslots;

import org.apache.lucene.search.payloads.MinPayloadFunction;

public class TSMinPayloadFunction extends MinPayloadFunction 
{
	private static final long serialVersionUID = 4L;

	@Override
	public float currentScore(int docId, String field, int start, int end, int numPayloadsSeen, float currentScore, float currentPayloadScore) {
//		System.out.println("TSMinPayloadFunction::currentScore numPayloadsSeen="+numPayloadsSeen+" currentPayloadScore="+currentPayloadScore+" currentScore="+currentScore+" return="+(numPayloadsSeen > 0 ? Math.min(currentPayloadScore, currentScore) : currentPayloadScore));
//		return numPayloadsSeen > 0 ? Math.min(currentPayloadScore, currentScore) : currentPayloadScore;

//		System.out.println("TSMinPayloadFunction::currentScore numPayloadsSeen="+numPayloadsSeen+" currentPayloadScore="+currentPayloadScore+" currentScore="+currentScore+" return="+(currentPayloadScore+currentScore));
		return currentPayloadScore + currentScore;
	}

	public float docScore(int docId, String field, int numPayloadsSeen, float payloadScore) {
//		System.out.println("TSMinPayloadFunction::docScore() numPayloadsSeen="+numPayloadsSeen+" payloadScore="+payloadScore);
		return numPayloadsSeen > 0 ? (payloadScore / numPayloadsSeen) : 1;
	}

}

