package org.apache.lucene.timeslots;

import org.apache.lucene.search.DefaultSimilarity;
import org.apache.lucene.analysis.payloads.PayloadHelper;

public class TSSimilarity extends DefaultSimilarity 
{
	private static final long serialVersionUID = 3L;

	@Override
		public float scorePayload(int docId, String fieldName, int start, int end, byte[] payload, int offset, int length) {
//			System.out.println("TSSimilarity::scorePayload = "+PayloadHelper.decodeFloat(payload, offset));
			return PayloadHelper.decodeFloat(payload, offset);//we can ignore length here, because we know it is encoded as 4 bytes
		}

	@Override
		public float tf(float freq) {
//			System.out.println("TSSimilarity::tf("+freq+")");
			//return (float)Math.sqrt(freq);
			return freq;
		}
	
	@Override
		public float sloppyFreq(int distance) {
			//System.out.println("TSSimilarity::sloppyFreq("+distance+")");
			// Do not take into account the distance of terms in detection
			return 1;
		}
}

